Add support for MinGW GDB

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Add support for MinGW GDB

leledumbo
Administrator
Under Windows, in sense of debugging, FP IDE is very dependent to Cygwin. Therefore, one must have Cygwin in order to have FP IDE with debugger support (if they want to build the IDE from source, just like me). Most users don't want to install Cygwin as it's very BIG and those dll dependencies makes things worse. Please add support for MinGW GDB.

PS: I also found that -pg switch expects external libraries from Cygwin.